=== debian/control ===
Source: ros-one-imagesift
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin, ros-one-cmake-modules, ros-one-cv-bridge, ros-one-image-transport, ros-one-jsk-recognition-utils, ros-one-jsk-topic-tools (>= 2.2.8), ros-one-libsiftfast, ros-one-nodelet, ros-one-posedetection-msgs, ros-one-ros-environment, ros-one-roscpp, ros-one-sensor-msgs
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/imagesift
Standards-Version: 3.9.2

Package: ros-one-imagesift
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cv-bridge, ros-one-image-transport, ros-one-jsk-recognition-utils, ros-one-jsk-topic-tools (>= 2.2.8), ros-one-libsiftfast, ros-one-nodelet, ros-one-posedetection-msgs, ros-one-roscpp, ros-one-sensor-msgs
Description: For every image, computes its sift features and send a new message with the image, its intrinsic parameters, and the features.
 Parameters include: display - shows the image on the local computer
