## ros-one-imagesift 1.2.19-12jammy.20260106.2147

=== debian/changelog ===
ros-one-imagesift (1.2.19-12jammy.20260106.2147) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:47:48 +0000
