## ros-one-imagesift 1.2.19-12jammy.20260222.0016

=== debian/changelog ===
ros-one-imagesift (1.2.19-12jammy.20260222.0016) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:16:27 +0000
