## ros-one-imagesift 1.2.19-12noble.20260106.2156

=== debian/changelog ===
ros-one-imagesift (1.2.19-12noble.20260106.2156) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:56:25 +0000
