## ros-one-imagesift 1.2.19-12noble.20260222.0127

=== debian/changelog ===
ros-one-imagesift (1.2.19-12noble.20260222.0127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 01:27:23 +0000
